# Baseline Results
This section presents the results of running 
[PowerModels.jl](https://github.com/lanl-ansi/PowerModels.jl) 
on the OPF benchmarks from the
[PGLib Archive](https://github.com/power-grid-lib/pglib-opf). 
providing baseline results for these test cases. All models were solved using 
[IPOPT](https://link.springer.com/article/10.1007/s10107-004-0559-y).

Note that the displayed solve times are only approximate.
These times do not include Julia's JIT time, around 2-5 seconds, and
use the [HSL](http://www.hsl.rl.ac.uk/ipopt/) ma27 solver in IPOPT.
The default linear solver will increase the runtime by 2-6x.

## Software Versions
**[PowerModels.jl](https://github.com/lanl-ansi/PowerModels.jl):** v0.9.7

**[Ipopt.jl](https://github.com/JuliaOpt/Ipopt.jl):** v0.5.4

**[PGLib OPF](https://github.com/power-grid-lib/pglib-opf):** v19.05

**Hardware:** Dual Intel 2.10GHz CPUs, 128GB RAM


## Typical Operating Conditions (TYP)
| **Case Name** | **Nodes** | **Edges** | **DC (\$/h)** | **AC (\$/h)** | **QC Gap (%)** | **SOC Gap (%)** | **DC Time (sec.)** | **AC Time (sec.)** | **QC Time (sec.)** | **SOC Time (sec.)** |
| ------------- | --------- | --------- | ------------- | ------------- | -------------- | --------------- | ------------------ | ------------------ | ------------------ | ------------------- |
| pglib_opf_case3_lmbd | 3 | 3 | 5.6959e+03 | 5.8126e+03 | 1.22 | 1.32 | <1 | <1 | <1 | <1 |
| pglib_opf_case5_pjm | 5 | 6 | 1.7480e+04 | 1.7552e+04 | 14.55 | 14.55 | <1 | <1 | <1 | <1 |
| pglib_opf_case14_ieee | 14 | 20 | 2.0515e+03 | 2.1781e+03 | 0.11 | 0.11 | <1 | <1 | <1 | <1 |
| pglib_opf_case24_ieee_rts | 24 | 38 | 6.1001e+04 | 6.3352e+04 | 0.02 | 0.02 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_as | 30 | 41 | 7.6760e+02 | 8.0313e+02 | 0.06 | 0.06 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_fsr | 30 | 41 | 5.6521e+02 | 5.7577e+02 | 0.39 | 0.39 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_ieee | 30 | 41 | 7.4728e+03 | 8.2085e+03 | 18.81 | 18.84 | <1 | <1 | <1 | <1 |
| pglib_opf_case39_epri | 39 | 46 | 1.3689e+05 | 1.3842e+05 | 0.55 | 0.56 | <1 | <1 | <1 | <1 |
| pglib_opf_case57_ieee | 57 | 80 | 3.4773e+04 | 3.7589e+04 | 0.16 | 0.16 | <1 | <1 | <1 | <1 |
| pglib_opf_case73_ieee_rts | 73 | 120 | 1.8300e+05 | 1.8976e+05 | 0.04 | 0.04 | <1 | <1 | <1 | <1 |
| pglib_opf_case89_pegase | 89 | 210 | 1.0504e+05 | 1.0729e+05 | 0.75 | 0.75 | <1 | <1 | <1 | <1 |
| pglib_opf_case118_ieee | 118 | 186 | 9.3101e+04 | 9.7214e+04 | 0.79 | 0.91 | <1 | <1 | <1 | <1 |
| pglib_opf_case162_ieee_dtc | 162 | 284 | 1.0146e+05 | 1.0808e+05 | 5.84 | 5.95 | <1 | <1 | <1 | <1 |
| pglib_opf_case179_goc | 179 | 263 | 7.5188e+05 | 7.5427e+05 | 0.16 | 0.16 | <1 | <1 | <1 | <1 |
| pglib_opf_case200_tamu | 200 | 245 | 2.7480e+04 | 2.7558e+04 | 0.01 | 0.01 | <1 | <1 | <1 | <1 |
| pglib_opf_case240_pserc | 240 | 448 | 3.2714e+06 | 3.3297e+06 | 2.73 | 2.78 | <1 | 4 | 4 | 2 |
| pglib_opf_case300_ieee | 300 | 411 | 5.1785e+05 | 5.6522e+05 | 2.58 | 2.63 | <1 | <1 | <1 | <1 |
| pglib_opf_case500_tamu | 500 | 597 | 7.0784e+04 | 7.2578e+04 | 5.39 | 5.39 | <1 | 2 | 2 | <1 |
| pglib_opf_case588_sdet | 588 | 686 | 3.1013e+05 | 3.1314e+05 | 1.91 | 2.14 | <1 | <1 | 2 | <1 |
| pglib_opf_case1354_pegase | 1354 | 1991 | 1.2182e+06 | 1.2588e+06 | 1.56 | 1.57 | <1 | 5 | 7 | 3 |
| pglib_opf_case1888_rte | 1888 | 2531 | 1.3529e+06 | 1.4025e+06 | 2.05 | 2.05 | <1 | 10 | 9 | 46 |
| pglib_opf_case1951_rte | 1951 | 2596 | 2.0316e+06 | 2.0856e+06 | 0.13 | 0.14 | <1 | 20 | 10 | 6 |
| pglib_opf_case2000_tamu | 2000 | 3206 | 1.2014e+06 | 1.2285e+06 | 0.20 | 0.21 | <1 | 12 | 10 | 4 |
| pglib_opf_case2316_sdet | 2316 | 3017 | 1.7501e+06 | 1.7753e+06 | 1.79 | 1.80 | <1 | 8 | 12 | 5 |
| pglib_opf_case2383wp_k | 2383 | 2896 | 1.8041e+06 | 1.8682e+06 | 0.97 | 1.04 | <1 | 9 | 11 | 6 |
| pglib_opf_case2736sp_k | 2736 | 3504 | 1.2760e+06 | 1.3080e+06 | 0.30 | 0.31 | <1 | 7 | 11 | 5 |
| pglib_opf_case2737sop_k | 2737 | 3506 | 7.6401e+05 | 7.7773e+05 | 0.26 | 0.27 | <1 | 7 | 9 | 4 |
| pglib_opf_case2746wop_k | 2746 | 3514 | 1.1782e+06 | 1.2083e+06 | 0.36 | 0.37 | <1 | 7 | 10 | 4 |
| pglib_opf_case2746wp_k | 2746 | 3514 | 1.5814e+06 | 1.6317e+06 | 0.32 | 0.33 | <1 | 7 | 11 | 5 |
| pglib_opf_case2848_rte | 2848 | 3776 | 1.2677e+06 | 1.2866e+06 | 0.12 | 0.13 | <1 | 22 | 15 | 8 |
| pglib_opf_case2853_sdet | 2853 | 3921 | 2.0370e+06 | 2.0524e+06 | 0.87 | 0.91 | <1 | 11 | 14 | 7 |
| pglib_opf_case2868_rte | 2868 | 3808 | 1.9667e+06 | 2.0096e+06 | 0.10 | 0.10 | <1 | 18 | 17 | 9 |
| pglib_opf_case2869_pegase | 2869 | 4582 | 2.3864e+06 | 2.4628e+06 | 1.01 | 1.01 | <1 | 15 | 21 | 8 |
| pglib_opf_case3012wp_k | 3012 | 3572 | 2.5090e+06 | 2.6008e+06 | 0.98 | 1.03 | <1 | 12 | 15 | 14 |
| pglib_opf_case3120sp_k | 3120 | 3693 | 2.0880e+06 | 2.1480e+06 | 0.55 | 0.56 | <1 | 11 | 13 | 6 |
| pglib_opf_case3375wp_k | 3374 | 4161 | 7.3170e+06 | 7.4382e+06 | 0.54 | 0.55 | <1 | 13 | 52 | 7 |
| pglib_opf_case4661_sdet | 4661 | 5997 | 2.2163e+06 | 2.2513e+06 | 1.89 | 1.99 | <1 | 19 | 30 | 14 |
| pglib_opf_case6468_rte | 6468 | 9000 | 1.9828e+06 | 2.0697e+06 | 1.12 | 1.13 | <1 | 95 | 84 | 31 |
| pglib_opf_case6470_rte | 6470 | 9005 | 2.1361e+06 | 2.2376e+06 | 1.75 | 1.76 | 2 | 51 | 46 | 27 |
| pglib_opf_case6495_rte | 6495 | 9019 | 2.5618e+06 | 3.0678e+06 | 15.09 | 15.11 | 2 | 94 | 74 | 30 |
| pglib_opf_case6515_rte | 6515 | 9037 | 2.5593e+06 | 2.8255e+06 | 6.39 | 6.40 | 2 | 85 | 51 | 26 |
| pglib_opf_case9241_pegase | 9241 | 16049 | 6.0287e+06 | 6.2431e+06 | 1.71 | 2.54 | 3 | 58 | 111 | 39 |
| pglib_opf_case10000_tamu | 10000 | 12706 | 2.4366e+06 | 2.4859e+06 | 0.37 | 0.72 | 2 | 92 | 123 | 39 |
| pglib_opf_case13659_pegase | 13659 | 20467 | 8.7699e+06 | 8.9480e+06 | 0.98 | 1.39 | 3 | 74 | 129 | 65 |


## Congested Operating Conditions (API)
| **Case Name** | **Nodes** | **Edges** | **DC (\$/h)** | **AC (\$/h)** | **QC Gap (%)** | **SOC Gap (%)** | **DC Time (sec.)** | **AC Time (sec.)** | **QC Time (sec.)** | **SOC Time (sec.)** |
| ------------- | --------- | --------- | ------------- | ------------- | -------------- | --------------- | ------------------ | ------------------ | ------------------ | ------------------- |
| pglib_opf_case3_lmbd__api | 3 | 3 | 1.0444e+04 | 1.1242e+04 | 5.63 | 9.32 | <1 | <1 | <1 | <1 |
| pglib_opf_case5_pjm__api | 5 | 6 | 7.5433e+04 | 7.6377e+04 | 4.09 | 4.09 | <1 | <1 | <1 | <1 |
| pglib_opf_case14_ieee__api | 14 | 20 | 4.7976e+03 | 5.9994e+03 | 5.13 | 5.13 | <1 | <1 | <1 | <1 |
| pglib_opf_case24_ieee_rts__api | 24 | 38 | 1.2336e+05 | 1.3495e+05 | 13.01 | 17.87 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_as__api | 30 | 41 | 3.0921e+03 | 4.9962e+03 | 44.61 | 44.61 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_fsr__api | 30 | 41 | 6.7254e+02 | 7.0115e+02 | 2.76 | 2.76 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_ieee__api | 30 | 41 | 1.6147e+04 | 1.8044e+04 | 5.46 | 5.46 | <1 | <1 | <1 | <1 |
| pglib_opf_case39_epri__api | 39 | 46 | 2.4464e+05 | 2.4975e+05 | 1.72 | 1.74 | <1 | <1 | <1 | <1 |
| pglib_opf_case57_ieee__api | 57 | 80 | 4.7293e+04 | 4.9297e+04 | 0.09 | 0.09 | <1 | <1 | <1 | <1 |
| pglib_opf_case73_ieee_rts__api | 73 | 120 | 3.6238e+05 | 4.2273e+05 | 11.07 | 12.89 | <1 | <1 | <1 | <1 |
| pglib_opf_case89_pegase__api | 89 | 210 | 1.2304e+05 | 1.3428e+05 | 13.45 | 13.47 | <1 | <1 | <1 | <1 |
| pglib_opf_case118_ieee__api | 118 | 186 | 2.2347e+05 | 2.4205e+05 | 28.70 | 28.81 | <1 | <1 | <1 | <1 |
| pglib_opf_case162_ieee_dtc__api | 162 | 284 | 1.1166e+05 | 1.2100e+05 | 4.33 | 4.36 | <1 | <1 | <1 | <1 |
| pglib_opf_case179_goc__api | 179 | 263 | 1.8902e+06 | 1.9321e+06 | 5.93 | 9.88 | <1 | <1 | 2 | <1 |
| pglib_opf_case200_tamu__api | 200 | 245 | 3.6138e+04 | 3.6763e+04 | 0.03 | 0.03 | <1 | <1 | <1 | <1 |
| pglib_opf_case240_pserc__api | 240 | 448 | 4.7014e+06 | 4.7681e+06 | 0.69 | 0.74 | <1 | 4 | 5 | 2 |
| pglib_opf_case300_ieee__api | 300 | 411 | 6.2041e+05 | 6.5015e+05 | 0.84 | 0.89 | <1 | <1 | <1 | <1 |
| pglib_opf_case500_tamu__api | 500 | 597 | 4.1171e+04 | 4.2776e+04 | 2.92 | 2.92 | <1 | 2 | 2 | <1 |
| pglib_opf_case588_sdet__api | 588 | 686 | 3.8835e+05 | 3.9476e+05 | 1.39 | 1.61 | <1 | 2 | 2 | <1 |
| pglib_opf_case1354_pegase__api | 1354 | 1991 | 1.4432e+06 | 1.4867e+06 | 0.65 | 0.66 | <1 | 6 | 9 | 4 |
| pglib_opf_case1888_rte__api | 1888 | 2531 | 1.9019e+06 | 1.9539e+06 | 0.22 | 0.23 | <1 | 9 | 16 | 7 |
| pglib_opf_case1951_rte__api | 1951 | 2596 | 2.3395e+06 | 2.4168e+06 | 0.53 | 0.55 | <1 | 10 | 10 | 6 |
| pglib_opf_case2000_tamu__api | 2000 | 3206 | 1.2523e+06 | 1.2850e+06 | 2.66 | 2.71 | <1 | 17 | 11 | 4 |
| pglib_opf_case2316_sdet__api | 2316 | 3017 | 2.1531e+06 | 2.1890e+06 | 1.79 | 1.80 | <1 | 11 | 12 | 5 |
| pglib_opf_case2383wp_k__api | 2383 | 2896 | 2.7913e+05 | 2.7913e+05 | 0.01 | 0.01 | <1 | 3 | 3 | 2 |
| pglib_opf_case2736sp_k__api | 2736 | 3504 | 6.1115e+05 | 6.5394e+05 | 10.83 | 10.84 | <1 | 9 | 10 | 4 |
| pglib_opf_case2737sop_k__api | 2737 | 3506 | 3.4557e+05 | 3.6920e+05 | 6.41 | 6.41 | <1 | 8 | 4 | 2 |
| pglib_opf_case2746wop_k__api | 2746 | 3514 | 5.1166e+05 | 5.1166e+05 | 0.01 | 0.01 | <1 | 4 | 4 | 2 |
| pglib_opf_case2746wp_k__api | 2746 | 3514 | 5.8183e+05 | 5.8183e+05 | 0.01 | 0.00 | <1 | 5 | 6 | 3 |
| pglib_opf_case2848_rte__api | 2848 | 3776 | 1.4413e+06 | 1.4760e+06 | 0.25 | 0.25 | <1 | 32 | 15 | 7 |
| pglib_opf_case2853_sdet__api | 2853 | 3921 | 2.4300e+06 | 2.4579e+06 | 1.92 | 1.96 | <1 | 13 | 14 | 6 |
| pglib_opf_case2868_rte__api | 2868 | 3808 | 2.2765e+06 | 2.3405e+06 | 0.18 | 0.19 | <1 | 30 | 16 | 7 |
| pglib_opf_case2869_pegase__api | 2869 | 4582 | 2.8477e+06 | 2.9342e+06 | 1.32 | 1.33 | <1 | 16 | 24 | 9 |
| pglib_opf_case3012wp_k__api | 3012 | 3572 | 7.2887e+05 | 7.2887e+05 | 0.00 | 0.00 | <1 | 6 | 6 | 2 |
| pglib_opf_case3120sp_k__api | 3120 | 3693 | 9.3014e+05 | 9.8428e+05 | 23.54 | 23.60 | <1 | 15 | 16 | 5 |
| pglib_opf_case3375wp_k__api | 3374 | 4161 | 5.7582e+06 | 5.8478e+06 | 9.35 | -- | <1 | 14 | 29 | 376 |
| pglib_opf_case4661_sdet__api | 4661 | 5997 | 2.6408e+06 | 2.6951e+06 | 2.54 | 2.64 | 2 | 19 | 29 | 61 |
| pglib_opf_case6468_rte__api | 6468 | 9000 | 2.2215e+06 | 2.3135e+06 | 0.80 | 0.82 | 2 | 89 | 67 | 207 |
| pglib_opf_case6470_rte__api | 6470 | 9005 | 2.4983e+06 | 2.6065e+06 | 1.19 | 1.20 | 2 | 85 | 41 | 77 |
| pglib_opf_case6495_rte__api | 6495 | 9019 | 2.8441e+06 | 3.0265e+06 | 2.97 | 3.01 | 2 | 74 | 53 | 25 |
| pglib_opf_case6515_rte__api | 6515 | 9037 | 2.9582e+06 | 3.1363e+06 | 1.91 | 1.95 | 2 | 68 | 53 | 24 |
| pglib_opf_case9241_pegase__api | 9241 | 16049 | 6.8149e+06 | 7.0264e+06 | 1.80 | -- | 3 | 123 | 114 | 1593 |
| pglib_opf_case10000_tamu__api | 10000 | 12706 | 1.8179e+06 | 1.8713e+06 | 5.53 | 6.18 | 6 | 171 | 123 | 46 |
| pglib_opf_case13659_pegase__api | 13659 | 20467 | 9.0479e+06 | 9.2971e+06 | 1.18 | 1.83 | 3 | 81 | 188 | 88 |


## Small Angle Difference Conditions (SAD)
| **Case Name** | **Nodes** | **Edges** | **DC (\$/h)** | **AC (\$/h)** | **QC Gap (%)** | **SOC Gap (%)** | **DC Time (sec.)** | **AC Time (sec.)** | **QC Time (sec.)** | **SOC Time (sec.)** |
| ------------- | --------- | --------- | ------------- | ------------- | -------------- | --------------- | ------------------ | ------------------ | ------------------ | ------------------- |
| pglib_opf_case3_lmbd__sad | 3 | 3 | 5.8560e+03 | 5.9593e+03 | 1.42 | 3.75 | <1 | <1 | <1 | <1 |
| pglib_opf_case5_pjm__sad | 5 | 6 | inf. | 2.6115e+04 | 0.99 | 3.62 | <1 | <1 | <1 | <1 |
| pglib_opf_case14_ieee__sad | 14 | 20 | inf. | 2.7773e+03 | 21.50 | 21.54 | <1 | <1 | <1 | <1 |
| pglib_opf_case24_ieee_rts__sad | 24 | 38 | 7.8163e+04 | 7.6943e+04 | 2.93 | 9.56 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_as__sad | 30 | 41 | inf. | 8.9749e+02 | 2.32 | 7.88 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_fsr__sad | 30 | 41 | inf. | 5.7679e+02 | 0.41 | 0.47 | <1 | <1 | <1 | <1 |
| pglib_opf_case30_ieee__sad | 30 | 41 | inf. | 8.2085e+03 | 5.93 | 9.70 | <1 | <1 | <1 | <1 |
| pglib_opf_case39_epri__sad | 39 | 46 | 1.5074e+05 | 1.4835e+05 | 0.21 | 0.66 | <1 | <1 | <1 | <1 |
| pglib_opf_case57_ieee__sad | 57 | 80 | inf. | 3.8664e+04 | 0.35 | 0.71 | <1 | <1 | <1 | <1 |
| pglib_opf_case73_ieee_rts__sad | 73 | 120 | 2.3291e+05 | 2.2775e+05 | 2.54 | 6.75 | <1 | <1 | <1 | <1 |
| pglib_opf_case89_pegase__sad | 89 | 210 | inf. | 1.0729e+05 | 0.71 | 0.73 | <1 | <1 | <1 | <1 |
| pglib_opf_case118_ieee__sad | 118 | 186 | inf. | 1.0522e+05 | 6.84 | 8.22 | <1 | <1 | <1 | <1 |
| pglib_opf_case162_ieee_dtc__sad | 162 | 284 | 1.0630e+05 | 1.0870e+05 | 6.25 | 6.48 | <1 | <1 | <1 | <1 |
| pglib_opf_case179_goc__sad | 179 | 263 | inf. | 7.6254e+05 | 1.01 | 1.12 | <1 | <1 | <1 | <1 |
| pglib_opf_case200_tamu__sad | 200 | 245 | inf. | 2.7558e+04 | 0.01 | 0.01 | <1 | <1 | <1 | <1 |
| pglib_opf_case240_pserc__sad | 240 | 448 | inf. | 3.4071e+06 | 4.41 | 4.98 | <1 | 4 | 3 | 2 |
| pglib_opf_case300_ieee__sad | 300 | 411 | 5.2736e+05 | 5.6571e+05 | 2.43 | 2.61 | <1 | <1 | <1 | <1 |
| pglib_opf_case500_tamu__sad | 500 | 597 | inf. | 7.9234e+04 | 7.90 | 7.92 | <1 | 2 | 2 | <1 |
| pglib_opf_case588_sdet__sad | 588 | 686 | inf. | 3.2986e+05 | 6.10 | 6.81 | <1 | 2 | 2 | <1 |
| pglib_opf_case1354_pegase__sad | 1354 | 1991 | inf. | 1.2588e+06 | 1.53 | 1.57 | <1 | 6 | 7 | 3 |
| pglib_opf_case1888_rte__sad | 1888 | 2531 | 1.3532e+06 | 1.4139e+06 | 2.81 | 2.82 | <1 | 11 | 9 | 28 |
| pglib_opf_case1951_rte__sad | 1951 | 2596 | inf. | 2.0928e+06 | 0.44 | 0.48 | 2 | 20 | 10 | 6 |
| pglib_opf_case2000_tamu__sad | 2000 | 3206 | inf. | 1.2303e+06 | 0.33 | 0.35 | 2 | 12 | 11 | 4 |
| pglib_opf_case2316_sdet__sad | 2316 | 3017 | inf. | 1.7753e+06 | 1.76 | 1.80 | <1 | 8 | 12 | 5 |
| pglib_opf_case2383wp_k__sad | 2383 | 2896 | inf. | 1.9127e+06 | 1.98 | 2.93 | 2 | 10 | 11 | 6 |
| pglib_opf_case2736sp_k__sad | 2736 | 3504 | inf. | 1.3273e+06 | 1.36 | 1.63 | 3 | 10 | 11 | 6 |
| pglib_opf_case2737sop_k__sad | 2737 | 3506 | inf. | 7.9153e+05 | 1.76 | 1.95 | 2 | 9 | 10 | 4 |
| pglib_opf_case2746wop_k__sad | 2746 | 3514 | inf. | 1.2343e+06 | 2.01 | 2.37 | 3 | 9 | 9 | 4 |
| pglib_opf_case2746wp_k__sad | 2746 | 3514 | inf. | 1.6676e+06 | 1.67 | 2.22 | 2 | 9 | 10 | 6 |
| pglib_opf_case2848_rte__sad | 2848 | 3776 | inf. | 1.2890e+06 | 0.24 | 0.26 | 2 | 21 | 14 | 7 |
| pglib_opf_case2853_sdet__sad | 2853 | 3921 | inf. | 2.0701e+06 | 1.69 | 1.74 | 4 | 12 | 13 | 7 |
| pglib_opf_case2868_rte__sad | 2868 | 3808 | inf. | 2.0224e+06 | 0.61 | 0.64 | 2 | 21 | 15 | 7 |
| pglib_opf_case2869_pegase__sad | 2869 | 4582 | inf. | 2.4689e+06 | 1.02 | 1.13 | 3 | 14 | 22 | 8 |
| pglib_opf_case3012wp_k__sad | 3012 | 3572 | inf. | 2.6213e+06 | 1.41 | 1.62 | 3 | 13 | 17 | 7 |
| pglib_opf_case3120sp_k__sad | 3120 | 3693 | inf. | 2.1782e+06 | 1.51 | 1.65 | 3 | 14 | 17 | 7 |
| pglib_opf_case3375wp_k__sad | 3374 | 4161 | 7.3197e+06 | 7.4382e+06 | 0.50 | 0.55 | <1 | 14 | 69 | 7 |
| pglib_opf_case4661_sdet__sad | 4661 | 5997 | inf. | 2.2610e+06 | 1.79 | 1.96 | 3 | 20 | 29 | 14 |
| pglib_opf_case6468_rte__sad | 6468 | 9000 | 1.9828e+06 | 2.0697e+06 | 1.10 | 1.12 | 2 | 101 | 84 | 34 |
| pglib_opf_case6470_rte__sad | 6470 | 9005 | 2.1391e+06 | 2.2416e+06 | 1.87 | 1.91 | 2 | 47 | 50 | 24 |
| pglib_opf_case6495_rte__sad | 6495 | 9019 | 2.5618e+06 | 3.0678e+06 | 14.99 | 15.11 | 2 | 85 | 58 | 26 |
| pglib_opf_case6515_rte__sad | 6515 | 9037 | 2.5596e+06 | 2.8826e+06 | 8.22 | 8.26 | 2 | 81 | 50 | 24 |
| pglib_opf_case9241_pegase__sad | 9241 | 16049 | inf. | 6.3195e+06 | 2.42 | 2.48 | 9 | 68 | 98 | 39 |
| pglib_opf_case10000_tamu__sad | 10000 | 12706 | 2.4366e+06 | 2.4859e+06 | 0.36 | 0.72 | 2 | 71 | 98 | 42 |
| pglib_opf_case13659_pegase__sad | 13659 | 20467 | inf. | 9.0433e+06 | 1.64 | 1.69 | 13 | 73 | 131 | 53 |


